[Deprecated]: V4.0

get

/ec-designer-svc/rest/v4.0/studies/{studyId}/versions/{version}/kits

Deprecated: Use latest version instead. Retrieves kit definitions configured for the specified study version. Optional kitType and kitTypeExclude query parameters filter which kit categories are returned. The response includes kit settings, unit settings, dosing details, titration settings, advanced dosing groups, and validation details when present.

Request

Path Parameters
Query Parameters
  • Kit type filter. Optional. Accepted values include STANDARD, TITRATION, ALL, and DEVICE.
    Example:
    STANDARD

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : KitDto v4.0
Type: object
Title: KitDto v4.0
Kit details.
Show Source
Nested Schema : dosings
Type: array
Show Source
Nested Schema : KitSettingsDto v4.0
Type: object
Title: KitSettingsDto v4.0
Contains settings information on the kit.
Show Source
Nested Schema : kitTitrations
Type: array
Show Source
Nested Schema : KitUnitSettingsDto v4.0
Type: object
Title: KitUnitSettingsDto v4.0
Contains unit settings information on the kit.
Show Source
Nested Schema : KitDosingDto v4.0
Type: object
Title: KitDosingDto v4.0
Information on a calculated dose.
Show Source
Nested Schema : KitDosingDoseDto v4.0
Type: object
Title: KitDosingDoseDto v4.0
Dose information on the calculated dose.
Show Source
Nested Schema : KitDosingMeasurementDto v4.0
Type: object
Title: KitDosingMeasurementDto v4.0
Kit and subject measurement information on a calculated dose.
Show Source
Nested Schema : KitDosingQuestionDto v4.0
Type: object
Title: KitDosingQuestionDto v4.0
Form and question information on the calculated dose.
Show Source
Nested Schema : KitDosingVisitDto v4.0
Type: object
Title: KitDosingVisitDto v4.0
Visit information on the calculated dose.
Show Source
Nested Schema : KitDosingValueUnitsDto v4.0
Type: object
Title: KitDosingValueUnitsDto v4.0
Describes the value/unit pair of the measurement on the calculated dose.
Show Source
Nested Schema : KitTitrationsDto v4.0
Type: object
Title: KitTitrationsDto v4.0
Contains titrations information on the titration kit.
Show Source
Nested Schema : TitrationKitItemsDto v4.0
Type: object
Title: TitrationKitItemsDto v4.0
Titration Kit Items
Show Source
Nested Schema : titrationKitItems
Type: array
Show Source
Nested Schema : TitrationKitItemDto v4.0
Type: object
Title: TitrationKitItemDto v4.0
Titration Kit Item
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top